import Sprite3D=Laya.Sprite3D;
import Transform3D=Laya.Transform3D;
import { CheckType } from "../game_module/GameDefined";
export class Role extends Laya.Script3D {
    constructor() {
        super();
    }

    protected self:Sprite3D;
    protected _transform:Transform3D;
    protected _type:CheckType;
    protected _bulletPos:Sprite3D;
    onAwake() {
        this.self = this.owner as Sprite3D;
        this._transform = this.self.transform;
        this._bulletPos=this.self.getChildByName("bulltePos")as Sprite3D;
    }
}